org.apache.lucene.luke.app.desktop.components

## Class MenuBarProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.MenuBarProvider

    public final class MenuBarProvider
    extends Object

Provider of the MenuBar

### Constructor Summary

Constructors
Constructor and Description
`MenuBarProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JMenuBar` `get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MenuBarProvider

    public MenuBarProvider()
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### get

    public JMenuBar get()